##### Subdir forwarding

subdirs := $(wildcard */)

define subdirTargets
$(subdir): _always
	+$$(subMake)

$(subdir)%: _always
	+$$(subMake)
.PRECIOUS: $(subdir)% # let subdir's Makefile decide whether to delete on error
endef
$(foreach subdir,$(subdirs),$(eval $(subdirTargets)))

Makefile: ;

%: $(addsuffix %,$(subdirs)) _always ;
